Bug 999211 - pdfbook : Retire package for Fedora 20 / all builds are obsolete
pdfbook : Retire package for Fedora 20 / all builds are obsolete
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: pdfbook (Show other bugs)
rawhide
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Pavel Alexeev
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-20 19:00 EDT by Michael Schwendt
Modified: 2013-08-27 16:25 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-27 16:25:30 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Michael Schwendt 2013-08-20 19:00:40 EDT
https://fedoraproject.org/wiki/How_to_remove_a_package_at_end_of_life

All the binary builds of your package are obsoleted by something
in the package collection, but are still available in the repositories.

Please retire the package, following the process linked above.

If you cannot access git for your package anymore, because you've
orphaned the package already, please tell, and I can help with the
"fedpkg retire" step. Confirmation about whether to retire the
package would be appreciated, though. Thank you!

[semi-automated bug report]
Comment 1 Pavel Alexeev 2013-08-24 15:03:45 EDT
Hello.
Could you please say by which packages pdfbook obsoleted?
Comment 2 Michael Schwendt 2013-08-24 15:20:52 EDT
This is on Fedora 20, but will look similar for the other active dist releases:

# repoquery --whatobsoletes pdfbook
texlive-pdfjam-3:svn29752.2.02-0.5.fc20.noarch
Comment 3 Pavel Alexeev 2013-08-26 15:35:25 EDT
Thanks.
Package retired.
Comment 4 Michael Schwendt 2013-08-27 10:10:20 EDT
It's still included in F20 (although it's obsolete since F19). Have you asked releng to block it also from F20, which would still be possible?

It's not marked as retired in pkgdb for F20 and F19.

There's no dead.package file in git for f20 and f19.
Comment 5 Pavel Alexeev 2013-08-27 16:04:53 EDT
For branches F19 and  F20 retire too. Dead.package commited and pushed.

Item 6 marked as not needed step for fedpkg 1.13 or newer.
And 8 also seams deprecated and not needed.

$ rpm -q fedpkg 
fedpkg-1.13-1.fc19.noarch

F21 branch blocked:

koji list-pkgs  --show-blocked --tag f21 --package pdfbook
Package                 Tag                     Extra Arches     Owner          
----------------------- ----------------------- ---------------- ---------------
pdfbook                 f21                                      hubbitus        [BLOCKED]

But F19, F20 apparently not (Why?):
$ koji list-pkgs  --show-blocked --tag f20 --package pdfbook
Package                 Tag                     Extra Arches     Owner          
----------------------- ----------------------- ---------------- ---------------
pdfbook                 f18                                      hubbitus       
[pasha@hubbitus ~]$ koji list-pkgs  --show-blocked --tag f19 --package pdfbook
Package                 Tag                     Extra Arches     Owner          
----------------------- ----------------------- ---------------- ---------------
pdfbook                 f18                                      hubbitus

Ticket filled: https://fedorahosted.org/rel-eng/ticket/5752
Comment 6 Pavel Alexeev 2013-08-27 16:06:06 EDT
Sorry Michael, it is my first retired package. And thank you for check and instructions.
Comment 7 Michael Schwendt 2013-08-27 16:24:27 EDT
It's not possible to pull packages for stable dists releases, such as f19 and older. But f20 and rawhide is development where that is still possible.

Note You need to log in before you can comment on or make changes to this bug.